#!/usr/bin/env python
# -*- coding: utf-8 -*-

PKG_NAME = 'rospeex_core'

try:
    import roslib; roslib.load_manifest(PKG_NAME)
except:
    pass

import logging
import unittest
from nose.tools import eq_, raises


from rospeex_core.sr.speech_recognition import SpeechRecognitionFactory
from rospeex_core.exceptions import SpeechRecognitionException


# set logging
logger = logging.getLogger(__name__)
logger.setLevel(logging.DEBUG)
formatter = logging.Formatter('%(asctime)s:%(levelname)s:%(filename)s:%(lineno)d:%(message)s')
ch = logging.StreamHandler()
ch.setFormatter(formatter)
logger.addHandler(ch)


class TestSpeechRecognitionFactory(unittest.TestCase):
    def setUp(self):
        pass

    @raises(SpeechRecognitionException)
    def test_create_invalid_engine(self):
        SpeechRecognitionFactory.create('hoge')


    def test_create_valid_engine(self):
        for engine in SpeechRecognitionFactory.ENGINE_FACTORY.keys():
            SpeechRecognitionFactory.create(engine)
