#!/usr/bin/env python
# -*- coding: utf-8 -*-

PKG_NAME = 'rospeex_core'

try:
    import roslib; roslib.load_manifest(PKG_NAME)
except:
    pass

import os
import logging
import unittest
from nose.tools import eq_, raises


from rospeex_core.ss import SpeechSynthesisFactory
from rospeex_core.exceptions import SpeechSynthesisException


# set logging
logger = logging.getLogger(__name__)
logger.setLevel(logging.DEBUG)
formatter = logging.Formatter('%(asctime)s:%(levelname)s:%(filename)s:%(lineno)d:%(message)s')
ch = logging.StreamHandler()
ch.setFormatter(formatter)
logger.addHandler(ch)


class TestSpeechSynthesisFactory(unittest.TestCase):
    def setUp(self):
        pass


    @raises(SpeechSynthesisException)
    def test_create_invelid_engine(self):
        SpeechSynthesisFactory.create('hoge')


    def test_create_valid_engine(self):
        for factory in SpeechSynthesisFactory.ENGINE_FACTORY.keys():
            SpeechSynthesisFactory.create(factory)


if __name__ == '__main__':
    import rosunit
    test_class = TestSpeechSynthesisFactory
    rosunit.unitrun(PKG_NAME, 'speech_synthesis_factory', test_class, None, coverage_packages=['rospeex.ss'])

