#!/usr/bin/env python
# -*- coding: utf-8 -*-

PKG_NAME = 'rospeex_core'

try:
    import roslib; roslib.load_manifest(PKG_NAME)
except:
    pass


import logging
import unittest

from nose.tools import eq_, raises, nottest
from rospeex_core.sr.client_base import SpeechRecognitionClient
from rospeex_core.exceptions import SpeechRecognitionException


# set logging
logger = logging.getLogger(__name__)
logger.setLevel(logging.DEBUG)
formatter = logging.Formatter('%(asctime)s:%(levelname)s:%(filename)s:%(lineno)d:%(message)s')
ch = logging.StreamHandler()
ch.setFormatter(formatter)
logger.addHandler(ch)


class TestSpeechRecognitionClient(unittest.TestCase):
    def setUp(self):
        pass


    @raises(SpeechRecognitionException)
    def test_request_invalid_not_implement(self):
        client = SpeechRecognitionClient()
        client.request(None)


if __name__ == '__main__':
    import rosunit
    test_class = TestSpeechRecognitionClient
    rosunit.unitrun(PKG_NAME, 'speech_recognition_client_base', test_class, None, coverage_packages=['rospeex.sr'])


