#!/usr/bin/env python
# -*- coding: utf-8 -*-

PKG_NAME = 'rospeex_core'

try:
    import roslib; roslib.load_manifest(PKG_NAME)
except:
    pass

import logging
import unittest

from nose.tools import eq_, raises, nottest
from rospeex_core.ss.client_base import SpeechSynthesisClient
from rospeex_core.exceptions import SpeechSynthesisException


# set logging
logger = logging.getLogger(__name__)
logger.setLevel(logging.DEBUG)
formatter = logging.Formatter('%(asctime)s:%(levelname)s:%(filename)s:%(lineno)d:%(message)s')
ch = logging.StreamHandler()
ch.setFormatter(formatter)
logger.addHandler(ch)


class TestSpeechSynthesisClient(unittest.TestCase):
    def setUp(self):
        pass

    @raises(SpeechSynthesisException)
    def test_request_invalid_not_implement(self):
        client = SpeechSynthesisClient()
        client.request('')


if __name__ == '__main__':
    import rosunit
    test_class = TestSpeechSynthesisClient
    rosunit.unitrun(PKG_NAME, 'speech_synthesis_client_base', test_class, None, coverage_packages=['rospeex.ss'])
